### Property

# SpiceClientGLib Channel:socket

since: 0.33

#### Declaration

    property socket: Gio.Socket [ read ]

#### Description [src]

Get the underlying `GSocket`. Note that you should not read or write any data to it directly since this will likely corrupt the channel stream. This property is mainly useful to get some connections details.

Type:`GSocket`

Available since: 0.33

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no